vga_norevokeprivs(3)

NAME
vga_norevokeprivs - Keep root privileges if run as suid root.

SYNOPSIS
#include <vga.h> int vga_norevokeprivs(void);

DESCRIPTION
Calling this function prevents svgalib from revoking root privileges and returning to the uid of the user running the program. Usually svgalib revokes privileges at vga_init(3) time, so vga_norevokeprivs needs to be called before vga_init .

AUTHOR
This manual page written by Matan Ziv-Av <matan@svgalib.org>.